#
# spec file for package python-tabulate
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-tabulate
Version:        0.8.3
Release:        2.1
Summary:        Pretty-printer for tabular data in Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://bitbucket.org/astanin/python-tabulate
Source:         https://files.pythonhosted.org/packages/source/t/tabulate/tabulate-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wcwidth}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
Recommends:     python-wcwidth
Suggests:       python-pandas
BuildArch:      noarch
%python_subpackages

%description
Pretty-printer for tabular data in Python.

The main use cases of the library are:

 * printing small tables without hassle: just one function call,
   formatting is guided by the data itself
 * authoring tabular data for lightweight plain-text markup: multiple
   output formats suitable for further editing or transformation
 * readable presentation of mixed textual and numeric data: smart
   column alignment, configurable number formatting, alignment by a
   decimal point

%prep
%autosetup -n tabulate-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%python3_only %{_bindir}/tabulate
%{python_sitelib}/*

%changelog
* Wed Feb  6 2019 jengelh@inai.de
- Use noun phrase in summary.
* Wed Feb  6 2019 jayvdb@gmail.com
- Update to 0.8.3
  * Bug fixes
  * New format: `github`
  * Custom colum alignment
- Recommend wcwidth needed for wide character support
- Suggest pandas which is supported
- Run tests for wcwidth and pandas
* Tue Mar 27 2018 tchvatal@suse.com
- Add python-setuptools to Requires
* Mon Mar 26 2018 matthias.eliasson@gmail.com
- Update to 0.8.2
  * Bugfix release
- Changes from 0.8.1
  * Multiline data in several output formats. New latex_raw format.
  * Column-specific floating point formatting.
  * Python 3.5 & 3.6 support.
  * Drop support for Python 2.6, 3.2, 3.3 (should still work).
- Run spec-cleaner
* Thu Apr 20 2017 sflees@suse.de
- Update to 0.7.7
  * support. Iterables of dicts. ``latex_booktabs`` format.
  * ```fancy_grid`` and ``html`` formats. Command line utility.
  * ``--float`` format option for the command line utility.
  * New table formats (``psql``, ``jira``, ``moinmoin``, ``textile``).
  * Wide character support.
  * Printing from database cursors.
  * Option to print row indices.
  * Boolean columns. Ragged rows.
  * Option to disable number parsing.
  * Bug Fixes
- Convert to single spec
* Wed Jul  6 2016 tbechtold@suse.com
- Add LICENSE and README
* Thu Jul 24 2014 fcastelli@suse.com
- Remove python-setuptools requirement
* Wed Jul 23 2014 fcastelli@suse.com
- Initial version of the package (0.7.2)
